
package com.ejie.ad74a.ws.client.prestadorWS.data;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Clase Java para DireccionType complex type.
 * 
 * <p>
 * El siguiente fragmento de esquema especifica el contenido que se espera que
 * haya en esta clase.
 * 
 * <pre>
 * &lt;complexType name="DireccionType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="cp" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="codProvincia" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="codMunicipio" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="codLocalidad" type="{http://www.w3.org/2001/XMLSchema}decimal"/&gt;
 *         &lt;element name="codCalle" type="{http://www.w3.org/2001/XMLSchema}decimal"/&gt;
 *         &lt;element name="codPortal" type="{http://www.w3.org/2001/XMLSchema}decimal"/&gt;
 *         &lt;element name="calle" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="portal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="escalera" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="piso" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="letra" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DireccionType", propOrder = { "cp", "codProvincia", "codMunicipio", "codLocalidad", "codCalle",
		"codPortal", "calle", "portal", "escalera", "piso", "letra" })
public class DireccionType {

	@XmlElement(required = true)
	protected String cp;
	@XmlElement(required = true)
	protected String codProvincia;
	@XmlElement(required = true)
	protected String codMunicipio;
	@XmlElement(required = true)
	protected BigDecimal codLocalidad;
	protected BigDecimal codCalle;
	protected BigDecimal codPortal;
	protected String calle;
	protected String portal;
	protected String escalera;
	protected String piso;
	protected String letra;

	/**
	 * Obtiene el valor de la propiedad cp.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCp() {
		return cp;
	}

	/**
	 * Define el valor de la propiedad cp.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCp(String value) {
		this.cp = value;
	}

	/**
	 * Obtiene el valor de la propiedad codProvincia.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodProvincia() {
		return codProvincia;
	}

	/**
	 * Define el valor de la propiedad codProvincia.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCodProvincia(String value) {
		this.codProvincia = value;
	}

	/**
	 * Obtiene el valor de la propiedad codMunicipio.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCodMunicipio() {
		return codMunicipio;
	}

	/**
	 * Define el valor de la propiedad codMunicipio.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCodMunicipio(String value) {
		this.codMunicipio = value;
	}

	/**
	 * Obtiene el valor de la propiedad codLocalidad.
	 * 
	 * @return possible object is {@link BigDecimal }
	 * 
	 */
	public BigDecimal getCodLocalidad() {
		return codLocalidad;
	}

	/**
	 * Define el valor de la propiedad codLocalidad.
	 * 
	 * @param value allowed object is {@link BigDecimal }
	 * 
	 */
	public void setCodLocalidad(BigDecimal value) {
		this.codLocalidad = value;
	}

	/**
	 * Obtiene el valor de la propiedad codCalle.
	 * 
	 * @return possible object is {@link BigDecimal }
	 * 
	 */
	public BigDecimal getCodCalle() {
		return codCalle;
	}

	/**
	 * Define el valor de la propiedad codCalle.
	 * 
	 * @param value allowed object is {@link BigDecimal }
	 * 
	 */
	public void setCodCalle(BigDecimal value) {
		this.codCalle = value;
	}

	/**
	 * Obtiene el valor de la propiedad codPortal.
	 * 
	 * @return possible object is {@link BigDecimal }
	 * 
	 */
	public BigDecimal getCodPortal() {
		return codPortal;
	}

	/**
	 * Define el valor de la propiedad codPortal.
	 * 
	 * @param value allowed object is {@link BigDecimal }
	 * 
	 */
	public void setCodPortal(BigDecimal value) {
		this.codPortal = value;
	}

	/**
	 * Obtiene el valor de la propiedad calle.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCalle() {
		return calle;
	}

	/**
	 * Define el valor de la propiedad calle.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCalle(String value) {
		this.calle = value;
	}

	/**
	 * Obtiene el valor de la propiedad portal.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getPortal() {
		return portal;
	}

	/**
	 * Define el valor de la propiedad portal.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setPortal(String value) {
		this.portal = value;
	}

	/**
	 * Obtiene el valor de la propiedad escalera.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getEscalera() {
		return escalera;
	}

	/**
	 * Define el valor de la propiedad escalera.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setEscalera(String value) {
		this.escalera = value;
	}

	/**
	 * Obtiene el valor de la propiedad piso.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getPiso() {
		return piso;
	}

	/**
	 * Define el valor de la propiedad piso.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setPiso(String value) {
		this.piso = value;
	}

	/**
	 * Obtiene el valor de la propiedad letra.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getLetra() {
		return letra;
	}

	/**
	 * Define el valor de la propiedad letra.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setLetra(String value) {
		this.letra = value;
	}

}
